%ifarch x86_64
  %define platnum   64
  %define platdir   lib64
  %define platstr   64 bit
  %define platform  linuxx86_64
%else
  %define platnum   32
  %define platdir   lib
  %define platstr   32 bit
  %define platform  linuxintel
%endif

%define version     0.98.9
%define name        clamsap
%define packname    clamsap-%{version}
%define requiresp   clamav >= 0.97
%define inslibdir   /usr/%{platdir}
%define build_root  %{_tmppath}/%{name}-%{version}-build

Summary:            Virus Scan Adapter (VSA) for ClamAV
Name:               %{name}
Version:            %{version}
Release:            1
License:            GPL (clamsap), MIT (clamdsap)
Group:              Productivity/Security
Source:             %{name}-%{version}.tar.gz
URL:                http://sourceforge.net/projects/clamsap/
BuildRoot:          %{build_root}
Provides:           %{packname}
Requires:           %{requiresp}
#BuildRequires:      %{requiresp}
# additional build dependencies for Fedora/RedHat
%if 0%{?fedora_version} || 0%{?rhel_version} || 0%{?centos_version}
BuildRequires:      gcc-c++
%endif


%description
This package provides two %{platstr} shared libraries which link SAP (NW-VSI) and ClamAV
The library clamsap links directly to clamav engine library, the library clamdsap uses the clamd
scan daemon to scan for viruses. Both libraries enable a SAP system to perform antivirus scans.

Authors:
--------
    Markus Strehle

%prep

%setup 

%build
./configure --prefix=%buildroot --libdir=%buildroot%{inslibdir}
make

%install
rm -rf %buildroot
mkdir -p %buildroot
mkdir -p %buildroot/usr
mkdir -p %buildroot%{inslibdir}
make install
rm %buildroot/%_libdir/*.la
rm %buildroot/%_libdir/*.a

%clean  
rm -rf %buildroot  

%post
/sbin/ldconfig

%pre

%postun
/sbin/ldconfig

%files
%defattr(-,root,root,-)
%_libdir/lib* 


%changelog
* Wed Oct 21 2015  Markus Strehle
- Fix internal MIME check
* Fri Sep 18 2015  Markus Strehle
- Improve error messages
* Fri May 29 2015  Markus Strehle
- Fix problem, if libmagic can not be found in VsaStartup
- Security fix for compression, see CVE-2015-2282 and CVE-2015-2278
- Enhance buffer scan in libclamdsap
* Fri Mar 27 2015  Markus Strehle
- NW-VSI 2.00 support
* Fri Apr 27 2012  Markus Strehle
- Support remote scan from libclamdsap to clamd
* Fri Mar 25 2011  Markus Strehle
- Prevent multiple byte code initialisation
* Thu Nov 02 2010  Markus Strehle 
- Initial release (source 0.9.6.stable) 

